package com.bcxin.tenant.open.domains.pojo;

import lombok.Data;

import java.io.Serializable;
import java.util.Collection;

@Data
public class SecurityStationPoJo implements Serializable {
    private String id;
    private String name;
    /**
     * 是否为驻勤负责人
     */
    private boolean master;
    private Collection<String> stationTypes;

    public static SecurityStationPoJo create(String id,String name,boolean master,Collection<String> stationTypes) {
        SecurityStationPoJo poJo = new SecurityStationPoJo();
        poJo.setId(id);
        poJo.setName(name);
        poJo.setMaster(master);
        poJo.setStationTypes(stationTypes);

        return poJo;
    }
}
